<!DOCTYPE html>
<html lang="fr">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="stylesheet" href="../site_structure/bouton.css" />
    <title>Bouton</title>
  </head>

  <body>
    <button onclick="topFunction()" id="bouton" title="Go to top">
      <img
        src="../rsrc_icones/icon_chevron_black.png"
        alt="Chevron ouvert"
        id="chevron"
      />
    </button>
    <script>
       //Récupère le bouton
      let mybutton = document.getElementById("bouton");

      // When the user scrolls down 100px from the top of the document, show the button
      window.onscroll = function () {
        scrollFunction();
      };

      function scrollFunction() {
        if (
          document.body.scrollTop > 100 ||
          document.documentElement.scrollTop > 100
        ) {
          mybutton.style.display = "block"; //bouton apparait
        } else {
          mybutton.style.display = "none";  //bouton apparait
        }
      }

      //Quand l'utilisateur clique sur le bouton, il retourne vers le haut de la page
      function topFunction() {
        document.body.scrollTop = 0;
        document.documentElement.scrollTop = 0;
      }
    </script>
  </body>
</html>
